Method: projects.locations.connections.gitRepositoryLinks.fetchPullRequest

Git 저장소 링크에서 pull 요청 세부정보를 가져옵니다.

HTTP 요청

GET https://developerconnect.googleapis.com/v1/{name=projects/*/locations/*/connections/*/gitRepositoryLinks/*}:fetchPullRequest

URL은 gRPC 트랜스코딩 문법을 사용합니다.

경로 매개변수

매개변수
name

string

필수 입력란입니다. projects/*/locations/*/connections/*/gitRepositoryLinks/* 형식의 GitRepositoryLink 리소스 이름입니다.

쿼리 파라미터

파라미터
pullRequestId

string

필수 입력란입니다. pull 요청의 ID입니다.

요청 본문

요청 본문은 비어 있어야 합니다.

응답 본문

성공한 경우 응답 본문에 PullRequest의 인스턴스가 포함됩니다.

승인 범위

다음 OAuth 범위가 필요합니다.

  • https://www.googleapis.com/auth/cloud-platform

자세한 내용은 Authentication Overview를 참조하세요.

IAM 권한

name 리소스에 대해서는 다음 IAM 권한이 필요합니다.

  • developerconnect.gitRepositoryLinks.fetchPullRequest

자세한 내용은 IAM 문서를 참조하세요.